﻿using System;
using System.Collections;
using System.Collections.Generic;
using PushPlatform.Data;

namespace PushPlatform.Data
{
    public partial class PushMessage : EntityBase
    {
        #region Default Constructor
        /// <summary>
        /// Initializes a new instance of the <see cref="Account"/> class.
        /// </summary>
        public PushMessage()
        {
            Initialize();
        }
        
        public PushMessage(PushMessage model)
        {
            Initialize();
            this.Id=model.Id;
            this.Map_Id=model.Map_Id;
            this.User_Id=model.User_Id;
            this.Send_Number=model.Send_Number;
            this.PushSys_ProId=model.PushSys_ProId;
            this.Project_Id=model.Project_Id;
            this.Push_Target=model.Push_Target;
            this.Push_Style=model.Push_Style;
            this.Push_TagId=model.Push_TagId;
            this.Push_Title=model.Push_Title;
            this.Push_Body=model.Push_Body;
            this.Push_IosLink=model.Push_IosLink;
            this.Push_AndLink=model.Push_AndLink;
            this.Push_WebLink=model.Push_WebLink;
            this.Push_WechatLink=model.Push_WechatLink;
            this.Have_Send=model.Have_Send;
            this.Is_Successed=model.Is_Successed;
            this.Send_Time=model.Send_Time;
            this.Return_Code=model.Return_Code;
            this.HaveRead=model.HaveRead;
            this.Is_Deleted=model.Is_Deleted;
            this.Create_User=model.Create_User;
            this.Create_Time=model.Create_Time;
            this.Update_User=model.Update_User;
            this.Update_Time=model.Update_Time;
            this.Timestamp=model.Timestamp;
        }

        protected override void Initialize()
        {
            OnCreated();
        }
        
        #endregion
        
        #region Column Mapped Properties
        
        
        private System.String _identification;
        
        public virtual System.String Id
        {
            get { return _identification; }
            set
            {
                _identification = value;
            }
        }
        
        private System.String _mapId;
        
        public virtual System.String Map_Id
        {
            get { return _mapId; }
            set
            {
                _mapId = value;
            }
        }
        
        private System.String _userId;
        
        public virtual System.String User_Id
        {
            get { return _userId; }
            set
            {
                _userId = value;
            }
        }
        
        private System.String _sendNumber;
        
        public virtual System.String Send_Number
        {
            get { return _sendNumber; }
            set
            {
                _sendNumber = value;
            }
        }
        
        private System.String _pushSysProId;
        
        public virtual System.String PushSys_ProId
        {
            get { return _pushSysProId; }
            set
            {
                _pushSysProId = value;
            }
        }
        
        private System.String _projectId;
        
        public virtual System.String Project_Id
        {
            get { return _projectId; }
            set
            {
                _projectId = value;
            }
        }
        
        private System.String _pushTarget;
        
        public virtual System.String Push_Target
        {
            get { return _pushTarget; }
            set
            {
                _pushTarget = value;
            }
        }
        
        private System.String _pushStyle;
        
        public virtual System.String Push_Style
        {
            get { return _pushStyle; }
            set
            {
                _pushStyle = value;
            }
        }
        
        private System.String _pushTagId;
        
        public virtual System.String Push_TagId
        {
            get { return _pushTagId; }
            set
            {
                _pushTagId = value;
            }
        }
        
        private System.String _pushTitle;
        
        public virtual System.String Push_Title
        {
            get { return _pushTitle; }
            set
            {
                _pushTitle = value;
            }
        }
        
        private System.String _pushBody;
        
        public virtual System.String Push_Body
        {
            get { return _pushBody; }
            set
            {
                _pushBody = value;
            }
        }
        
        private System.String _pushIosLink;
        
        public virtual System.String Push_IosLink
        {
            get { return _pushIosLink; }
            set
            {
                _pushIosLink = value;
            }
        }
        
        private System.String _pushAndLink;
        
        public virtual System.String Push_AndLink
        {
            get { return _pushAndLink; }
            set
            {
                _pushAndLink = value;
            }
        }
        
        private System.String _pushWebLink;
        
        public virtual System.String Push_WebLink
        {
            get { return _pushWebLink; }
            set
            {
                _pushWebLink = value;
            }
        }
        
        private System.String _pushWechatLink;
        
        public virtual System.String Push_WechatLink
        {
            get { return _pushWechatLink; }
            set
            {
                _pushWechatLink = value;
            }
        }
        
        private System.Int32? _haveSend;
        
        public virtual System.Int32? Have_Send
        {
            get { return _haveSend; }
            set
            {
                _haveSend = value;
            }
        }
        
        private System.Int32 _isSuccessed;
        
        public virtual System.Int32 Is_Successed
        {
            get { return _isSuccessed; }
            set
            {
                _isSuccessed = value;
            }
        }
        
        private System.DateTime _sendTime;
        
        public virtual System.DateTime Send_Time
        {
            get { return _sendTime; }
            set
            {
                _sendTime = value;
            }
        }
        
        private System.String _returnCode;
        
        public virtual System.String Return_Code
        {
            get { return _returnCode; }
            set
            {
                _returnCode = value;
            }
        }
        
        private System.Int32 _haveRead;
        
        public virtual System.Int32 HaveRead
        {
            get { return _haveRead; }
            set
            {
                _haveRead = value;
            }
        }
        
        private System.Int32 _isDeleted;
        
        public virtual System.Int32 Is_Deleted
        {
            get { return _isDeleted; }
            set
            {
                _isDeleted = value;
            }
        }
        
        private System.String _createUser;
        
        public virtual System.String Create_User
        {
            get { return _createUser; }
            set
            {
                _createUser = value;
            }
        }
        
        private System.DateTime _createTime;
        
        public virtual System.DateTime Create_Time
        {
            get { return _createTime; }
            set
            {
                _createTime = value;
            }
        }
        
        private System.String _updateUser;
        
        public virtual System.String Update_User
        {
            get { return _updateUser; }
            set
            {
                _updateUser = value;
            }
        }
        
        private System.DateTime? _updateTime;
        
        public virtual System.DateTime? Update_Time
        {
            get { return _updateTime; }
            set
            {
                _updateTime = value;
            }
        }
        
        private System.Int64 _timestamp;
        
        public virtual System.Int64 Timestamp
        {
            get { return _timestamp; }
            set
            {
                _timestamp = value;
            }
        }
        
        
        
        
        
        
        
        #endregion
        
        #region Associations Mappings
        
        #endregion
        
        #region Extensibility Method
        
        static partial void AddSharedRules();
        
        partial void OnCreated();
        
        
        #endregion
        
        
    }
}

